package edu.dhbw.pv;

public class MatrixTrans extends Matrix {
    public MatrixTrans(int n, int m) {
        super(n,m);
    }
    public MatrixTrans(double[][] v) {
        super(v);
    }
    
    public Matrix multiply(Matrix B) {
        double[][] erg = new double[val.length][B.val[0].length];
        if (val[0].length != B.val.length) {
            throw new RuntimeException("Matrix missmatch");
        }
        B = B.transpose();
        for (int i = 0; i < erg.length; i++) {
            for (int j = 0; j < erg[0].length; j++ ) {
                double s = 0.0;
                for (int k = 0; k < val[0].length; k++ ) {
                    s += val[i][k] * B.val[j][k]; // war k,j
                }
                erg[i][j] = s;
            }
        }
        return new Matrix(erg);
    }
    
}
